/*
 * go-font-combo.c :
 *
 * Copyright (C) 2005 Robert Staudinger <robsta@stereolyzer.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/*
 * A font selector combo widget.  
 */
 
#ifndef _GO_COMBO_FONT_H_
#define _GO_COMBO_FONT_H_

#include <goffice/utils/goffice-utils.h>
#include <gtk/gtkwidget.h>
#include <glib.h>
#include <pango/pango.h>

G_BEGIN_DECLS

#define GO_COMBO_FONT_TYPE	(go_combo_font_get_type ())
#define GO_COMBO_FONT(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), GO_COMBO_FONT_TYPE, GOComboFont))
#define IS_GO_COMBO_FONT(obj)	(G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_COMBO_FONT_TYPE))
#define GO_COMBO_FONT_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST(k), GO_COMBO_FONT_TYPE)

typedef struct _GOComboFont GOComboFont;

GType         go_combo_font_get_type (void);
GtkWidget*	  go_combo_font_new      (void);
void	      go_combo_font_set_description (GOComboFont *self, PangoFontDescription *desc);
PangoFontDescription const *go_combo_font_get_description (GOComboFont const *self);
void	      go_combo_font_set_family (GOComboFont *self, gchar *family);
gchar*		  go_combo_font_get_family (GOComboFont const *self);

G_END_DECLS

#endif /* _GO_COMBO_FONT_H_ */
